# With the import below, pabot does not execute cases in parallel
from test.datareader.simplemodule import aSillyFunction
# With the import below, pabot does execute cases in parallel
#from simplemodule import aSillyFunction

from DataDriver.AbstractReaderClass import AbstractReaderClass
import pandas as pd
import numpy as np

class customreader(AbstractReaderClass):

    def get_data_from_source(self):
        data_frame = pd.read_excel(self.file, sheet_name=self.sheet_name, dtype=str).replace(np.nan, '', regex=True)
        self._analyse_header(list(data_frame))
        for row in data_frame.values.tolist():
            self._read_data_from_table(row)
        return self.data_table
